Bug 6 - Testing GNATS
Summary: Testing GNATS
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c++ (show other bugs)
Version: unknown
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-02-26 00:45 UTC by martin
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description martin 2000-02-26 00:45:59 UTC

Release:
gcc

Environment:
Host type: i586-pc-linux-gnu
System: Linux mira 2.3.39 #3 Die Jan 11 23:37:23 CET 2000 i586 unknown
Architecture: i586

Addons: crypt linuxthreads

Build CC: gcc
Comment 1 Martin v. Loewis 2000-02-28 23:05:40 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Test completed
Comment 2 Martin v. Loewis 2000-02-29 07:05:40 UTC
From: loewis@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org, martin@loewis.home.cs.tu-berlin.de,
  nobody@gcc.gnu.org
Cc:  
Subject: Re: c++/6
Date: 29 Feb 2000 07:05:40 -0000

 Synopsis: Testing GNATS
 
 State-Changed-From-To: open->closed
 State-Changed-By: loewis
 State-Changed-When: Mon Feb 28 23:05:40 2000
 State-Changed-Why:
     Test completed
 
 http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view&pr=6&database=gcc
Comment 3 CVS Commits 2003-08-27 16:41:08 UTC
Subject: Bug 6

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	hammer-3_3-branch
Changes by:	hubicka@gcc.gnu.org	2003-08-27 16:41:02

Modified files:
	gcc            : ChangeLog.hammer Makefile.in flow.c gccbug.in 
	                 reload.c 
	gcc/config/i386: i386.c i386.h 

Log message:
	Backport from SuSE local:
	Tue Mar 18 19:06:18 CET 2003  Jan Hubicka  <jh@suse.cz>
	* i386.c (use_fast_prologue_epilogue): Remove.
	(machine_function): New fields use_fast_prologue_epilogue;
	use_fast_prologue_epilogue_initialized.
	(ix86_frame): New field save_regs-using_mov;
	(ix86_compute_frame_layout):  Decide on fast prologues;
	allocate saved registers in red zone.
	(ix86_expand_epilogue, ix86_expand_prolgoues): Obey new parameters.
	Mon Mar  3 12:01:16 CET 2003  Jan Hubicka  <jh@suse.cz>
	* i386.c (classify_argument): Obey MUST_PASS_IN_STACK.
	* i386.h (MUST_PASS_IN_STACK): Use default_must_pass_in_stack
	for x86-64.
	
	Mon Apr 21 15:13:51 CEST 2003  Jan Hubicka  <jh@suse.cz>
	* reload.c (find_valid_class):  Allow fixed registers to refuse
	the mode; compute real amount of choices to allocate given register.
	
	Sun Apr  6 17:43:49 CEST 2003  Jan Hubicka  <jh@suse.cz>
	PR target/9929
	* reload.c (find_reloads_toplev):  Remove now redundant alternative
	(find_reloads_address_1): Synchronize handling of subregs with
	find_reloads_toplev;  Always reload whole subreg when the inner
	value requires more registers.
	
	Zdenek Dvorak
	* flow.c (MAX_LIVENESS_ROUNDS): New.
	(calculate_global_regs_live): Guarantee that liveness updating will
	terminate.
	(update_life_info_in_dirty_blocks): Remove hack that masked the bug.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.hammer.diff?cvsroot=gcc&only_with_tag=hammer-3_3-branch&r1=1.1.2.179&r2=1.1.2.180
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/Makefile.in.diff?cvsroot=gcc&only_with_tag=hammer-3_3-branch&r1=1.955.2.24&r2=1.955.2.25
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/flow.c.diff?cvsroot=gcc&only_with_tag=hammer-3_3-branch&r1=1.540.2.5&r2=1.540.2.6
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/gccbug.in.diff?cvsroot=gcc&only_with_tag=hammer-3_3-branch&r1=1.15.28.1&r2=1.15.28.2
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/reload.c.diff?cvsroot=gcc&only_with_tag=hammer-3_3-branch&r1=1.197.2.8&r2=1.197.2.9
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/i386/i386.c.diff?cvsroot=gcc&only_with_tag=hammer-3_3-branch&r1=1.490.2.48&r2=1.490.2.49
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/i386/i386.h.diff?cvsroot=gcc&only_with_tag=hammer-3_3-branch&r1=1.305.2.17&r2=1.305.2.18